<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2005 Larry Adams                                          |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
*/
/*******************************************************************************

    Author ......... Jean-Michel Pepin plugin for Cacti (PEPJ in forum.cacti.net)
    Modified ....... .
    Program ........ Download/Upload configuration manager for Cacti

    per default I will use Pancho
    Contact for Pancho .... Charles Menzes http://www.pancho.org/
			, http://freshmeat.net/projects/pancho/

*******************************************************************************/

chdir('../../');
include("./plugins/configmanager/config.php");
include("./plugins/configmanager/debug.php");
include("./plugins/configmanager/functions.php");
include("./include/auth.php");

// check if the remote IP address has the right to use configmanager
if (!configmanager_isinlistmanagerIPs()) {
  html_authentification_error();
  exit;
}

$action = "";
if (isset($_POST['action'])) {
	$action = $_POST['action'];
} else if (isset($_GET['action'])) {
	$action = $_GET['action'];
}

if (isset($_GET['nameconfig'])) {
	$configname = $_GET['nameconfig'];
} else {
  if (isset($_POST['nameconfig'])) {
	$configname = $_POST['nameconfig'];
  }
}
switch ($action) {
	case 'show':
		include_once("./include/top_header.php");
		show($configname);
		include_once("./include/bottom_footer.php");
		break;
	default:
		break;
}

function show($fullconfigname) {
	print "<table align='center' width='98%' style='background-color: #ffffff; border: 1px solid #bbbbbb;'>";
	print "	<tr> <td width=15 color='#000099' bgcolor='#f5f5f5' align='left'>";
        $fulltext ="Listing of the config ".$fullconfigname;
        if ($fullconfigname!="") {
          $handle = @fopen($fullconfigname, "r");
          if ($handle) {
        	$line = fread($handle,filesize($fullconfigname));
		$fulltext = $fulltext ."\n". $line;
		fclose($handle);
	  }
	  form_text_area("TEXT", "", 25, 80, $fulltext);
	} else {
	  print "  <b>Nothing</b>";
	}
	print " </td>";
	print "</tr>";
	print "</table>";
}

?>