<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2005 Larry Adams                                          |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
*/
/*******************************************************************************

    Author ......... Jean-Michel Pepin plugin for Cacti (PEPJ in forum.cacti.net)
    Modified ....... .
    Program ........ Download/Upload configuration manager for Cacti
    Version plugin . see setup.php

    per default I will use Pancho
    Contact for Pancho .... Charles Menzes http://www.pancho.org/
			, http://freshmeat.net/projects/pancho/

*******************************************************************************/

$dir = dirname(__FILE__);
chdir($dir);
if (strpos($dir, 'configmanager') != false) {
	chdir('../../');
}

include("./plugins/configmanager/configmanager_gatewaytoprogram.php");

function configmanager_log_preview($log) {
	global $config, $colors;

	print '<br><br>';
	html_start_box("", "80%", $colors["header"], "1", "center", "");
	print "<table bgcolor='#FFFFFF' width='100%'><tr><td>";
	print "<h3><center>" . "configmanager Log file" . '</center></h3><br><br><ul>';
// Load configmanager log file
	print "</ul></td></tr></table>";
	html_end_box();

}

function configmanager_listmanagerIPs (&$listofManagerIPs) {
	global $config;

	$servername=(isset($_SERVER['SERVER_NAME'])) ? $_SERVER['SERVER_NAME']: "";
	$srvip =gethostbyname($servername);
        $listofManagerIPs= ($srvip!='127.0.0.0.1') ? $srvip:"";
        $securefile = $config["base_path"] . "/plugins/configmanager/secure.cfg";
        $handle = @fopen($securefile, "r");
        if ($handle) {
           while (!feof($handle)) {
              $buffer = fgets($handle);
              if ($buffer) {
              	$buffer2=trim($buffer);
              	$pattern = '/^#/';
                if (!(preg_match($pattern, $buffer2, $matches))) {
              	  $valuetab= preg_split('/,/',$buffer2,-1,PREG_SPLIT_NO_EMPTY);
                  foreach ($valuetab as $value) {
                  	if ($listofManagerIPs=="") {$listofManagerIPs=$value;} else { $listofManagerIPs .=",".$value; }
                  }
                }
              }
           }
           fclose($handle);
        }
}

function configmanager_isinlistmanagerIPs() {
    $ok = false;
    $remoteip=$_SERVER['REMOTE_ADDR'];
    configmanager_listmanagerIPs($listManagerIPs);
    if ($listManagerIPs!="") {
       $valuetab= preg_split('/,/',$listManagerIPs,-1,PREG_SPLIT_NO_EMPTY);
       foreach ($valuetab as $value) {
       	$pattern= '/^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/';
       	if (preg_match($pattern,$value,$matches) && ($value==$remoteip)) {
       		$ok = true;
       	}
       }
    }
    if (!$ok) {
      $message=date("d/m/Y H:i:s ")."WARNING: wrong authetification from host $remoteip\n";
      cfgmng_log($message);
    }
    return $ok;
}

/* Example
mydebug("DEBUG SAVE:"."\n","new");
$val="(".print_r($_POST).")";
mydebug("array of _POST".$val."\n","");
*/
function mydebug($line,$new) {
     global $config;
     $mode = ($new=="new") ? "w" : "a";
     $file = $config["base_path"]."/plugins/configmanager/DEBUG.txt";
     if ($new!="close") {
//     	if ($mode=="w") { unlink($file.".bak"); rename($file,$file.".bak"); }
     	$handletest = fopen($file, $mode);
        if ($handletest) fwrite($handletest,$line);
    }
    if ($handletest) fclose($handletest);
}

?>