<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2004 Ian Berry                                            |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
 | cacti: a php-based graphing solution                                    |
 +-------------------------------------------------------------------------+
 | Most of this code has been designed, written and is maintained by       |
 | Ian Berry. See about.php for specific developer credit. Any questions   |
 | or comments regarding this code should be directed to:                  |
 | - iberry@raxnet.net                                                     |
 +-------------------------------------------------------------------------+
 | - raXnet - http://www.raxnet.net/                                       |
 +-------------------------------------------------------------------------+
*/


/* initialize the timespan selector for first use */
function initialize_datetime(&$datetime) {
        /* initialize the timespan array */
        $datetime = array();
	/* initialize the default */
	$datetime["end_now"] = time();
	$end_year = date("Y",$datetime["end_now"]);
	$end_month = date("m",$datetime["end_now"]);
	$end_day = date("d",$datetime["end_now"]);
	$end_hour = date("H",$datetime["end_now"]);
	$end_min = date("i",$datetime["end_now"]);
	$end_sec = 00;
	if (!isset($datetime["current_value_date"])) {
	  /* Default date is now */
	  $datetime["current_value_date"] = date("Y", $datetime["end_now"]) . "-" . date("m", $datetime["end_now"]) . "-" . date("d", $datetime["end_now"]) . " " . date("H", $datetime["end_now"]) . ":" . date("i", $datetime["end_now"]);
	}
}

?>