<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2004-2007 The Cacti Group                                 |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
 | Cacti: The Complete RRDTool-based Graphing Solution                     |
 +-------------------------------------------------------------------------+
 | This code is designed, written, and maintained by the Cacti Group. See  |
 | about.php and/or the AUTHORS file for specific developer information.   |
 +-------------------------------------------------------------------------+
 | http://www.cacti.net/                                                   |
 +-------------------------------------------------------------------------+
*/

global $colors, $config;
global $refreshtimeheader,$refresh_url;

$page_title = do_hook_function('page_title', 'Cacti');

?>
<html>
<head>
	<title><?php echo $page_title; ?></title>
	<link href="<?php echo $config['url_path']; ?>include/main.css" rel="stylesheet">
	<link href="<?php echo $config['url_path']; ?>images/favicon.ico" rel="shortcut icon"/>
	<script type="text/javascript" src="<?php echo $config['url_path']; ?>include/layout.js"></script>
	<script type="text/javascript" src="<?php echo $config['url_path']; ?>plugins/configmanager/html/css-table-scrollable.js"></script>
	<?php if (isset($refreshtimeheader)&&($refreshtimeheader!=0)) {
	    if (!isset($refresh_url)) $refresh_url=$refresh["page"];
	    if (1<=$refreshtimeheader) print "<meta http-equiv=refresh content='" . $refreshtimeheader . "; url=\"" . $refresh_url . "\"'>";
	}
	do_hook('page_head'); ?>
        <?php 
        include_once("./plugins/configmanager/html/css-table-scrollable-style.html");
        ?>
</head>
