	<script type='text/javascript'>
	// Initialize the calendar
	calendar=null;

	// This function displays the calendar associated to the input field 'id'
	function showCalendar(id) {
		var el = document.getElementById(id);
		if (calendar != null) {
			// we already have some calendar created
			calendar.hide();  // so we hide it first.
		} else {
			// first-time call, create the calendar.
			var cal = new Calendar(true, null, selected, closeHandler);
			cal.weekNumbers = false;  // Do not display the week number
			cal.showsTime = true;     // Display the time
			cal.time24 = true;        // Hours have a 24 hours format
			cal.showsOtherMonths = false;    // Just the current month is displayed
			calendar = cal;                  // remember it in the global var
			cal.setRange(1900, 2070);        // min/max year allowed.
			cal.create();
		}

		calendar.setDateFormat('%Y-%m-%d %H:%M');    // set the specified date format
		calendar.parseDate(el.value);                // try to parse the text in field
		calendar.sel = el;                           // inform it what input field we use

		// Display the calendar below the input field
		calendar.showAtElement(el, "Br");        // show the calendar

		return false;
	}

	// This function update the date in the input field when selected
	function selected(cal, date) {
		cal.sel.value = date;      // just update the date in the input field.
	}

	// This function gets called when the end-user clicks on the 'Close' button.
	// It just hides the calendar without destroying it.
	function closeHandler(cal) {
		cal.hide();                        // hide the calendar
		calendar = null;
	}
	// This function set to the date of today in the input field
	function setToday(id,val) {
		var el = document.getElementById(id);
		var now = new Date();
		el.value = val;      // just update the date in the input field.
		return false;
	}
</script>

<?php
  $selectdate=(isset($datetime["current_value_date"]))? $datetime["current_value_date"] : (isset($_SESSION["sess_current_date"]) ? $_SESSION["sess_current_date"] : "");
  print "<input type='text' name='date' id='date' size='14' value='". $selectdate . "'> &nbsp;";
  print "<input type='image' src='images/calendar.gif' alt='Start date selector' border='0' align='absmiddle' onclick='return showCalendar(\"date\");'>&nbsp;";
  print "<input type='image' src='images/button_today.gif' alt='Return to today' border='0' align='absmiddle' onclick='return setToday(\"date\",\"".date('Y-m-d h:i')."\");'>&nbsp;"
?>